Name:                junitperf
Version:             1.9.1
Release:             2
Summary:             JUnit extension for performance and scalability testing
License:             BSD
Source0:             http://github.com/clarkware/junitperf/archive/1.9.1.zip 
Source1:             https://repository.jboss.org/nexus/content/repositories/thirdparty-uploads/junitperf/junitperf/%{version}/junitperf-%{version}.pom
URL:                 http://github.com/clarkware/junitperf
BuildRequires:       ant ant-junit java-devel javapackages-local junit >= 3.2
BuildArch:           noarch
Requires:            junit >= 3.2
%description
JUnitPerf is a collection of JUnit test decorators used to measure the
performance and scalability of functionality contained within existing
JUnit tests.

%package help
Summary:             API documentation for %{name}
Provides:            %{name}-javadoc = %{version}-%{release}
Obsoletes:           %{name}-javadoc < %{version}-%{release}
%description help
%{summary}.

%package demo
Summary:             Demos and samples for %{name}
Requires:            %{name} = %{version}-%{release}
%description demo
%{summary}.

%prep
%setup -q -n %{name}-%{version}
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

%build
CLASSPATH=$(build-classpath junit) ant -Dbuild.sysclasspath=first jar javadoc
%mvn_artifact %{SOURCE1} dist/junitperf-%{version}.jar

%install
%mvn_install
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr build/docs/api/* %{buildroot}%{_javadocdir}/%{name}
install -d -m 0755 %{buildroot}%{_datadir}/%{name}
cp -pr samples %{buildroot}%{_datadir}/%{name}

%files -f .mfiles
%doc LICENSE README docs/JUnitPerf.html
%dir %{_javadir}/%{name}

%files help
%doc LICENSE
%{_javadocdir}/%{name}

%files demo
%doc LICENSE
%{_datadir}/%{name}

%changelog
* Thu Dec 24 2020 lingsheng <lingsheng@huawei.com> - 1.9.1-2
- Disable unit test

* Sat Aug 22 2020 wangyue <wangyue92@huawei.com> - 1.9.1-1
- package init
